#ifndef CONNECT_DLG_H
#define CONNECT_DLG_H

#include "dc_hub.h"

#include <qdialog.h>
#include <vector>

class QListView;
class QPushButton;
class QGridLayout;
class QListBox;
class QTabWidget;
class QListViewItem;
class QPopupMenu;

class hub_lv_item;

class connect_dlg : public QDialog
{
	Q_OBJECT
		
public:
	connect_dlg(dc_hub *h, QWidget *p = 0, const char *name = 0, bool modal = false);
	~connect_dlg();

	const hub_info selected_hub();
	bool selected_running();

private slots:
	void refresh_listing();
	void addFavourite();
	void editFavourite();
	void removeFavourite();
	void menu_clicked(int);
	void show_menu(QListViewItem*,const QPoint&,int);

private:
	void add_hubs_to_list(vector<hub_lv_item*> &l, QListView* lv, const vector<hub_info*> &h);
	void clear_list(vector<hub_lv_item*> &l);

private:
	QListView *lv_hubs, *run_lv;
	QPushButton *pb_ok;
	QPushButton *pb_cancel;
	QPushButton *pb_get_hubs;
	QGridLayout *gl_layout;
	QListView *favList;
	QTabWidget *tab;
	QListViewItem *last_clicked;
	QPopupMenu *menu;
	vector<hub_lv_item*> public_lv_items, running_lv_items;

	vector<hub_info*> public_hubs, running_hubs;

	dc_hub *hubs;
};

#endif
