#ifndef DC_H
#define DC_H

#include "dc_user.h"
#include "user_lv_item.h"

#include <qwidget.h>
#include <qstringlist.h>

#include <list>
#include <vector>

class user_lv;
class QSplitter;
class QListBox;
class QLineEdit;

class dctc_hub;
class file_list_dialog;
class file_transfer_lv;
class dc_hub;
class search_list_dialog;

class dc_main_window : public QWidget
{
	Q_OBJECT
	
public:
	dc_main_window(int argc, char *argv[]);
	~dc_main_window() {}

private slots:
	void dc_connect();
	void dc_disconnect();
	void update_user(const QString&, const QString&, const QString&, const QString&);
	void add_user(const QString &, bool ulist = false);
	void rm_user(const QString &);
	void disconnect_quit();
	void receive_log(const QString &);
	void receive_chatmsg(const QString &);
	void user_flist_file(const QString &, const QString &, const QString &);
	void search_file(const QString &, const QString &, const QString &, const QString &);
	void search();
	void preferences();
	void send_chatmsg();
	void new_instance();

	void send_command();

signals:
	void quit();

private:
	list<user_lv_item*>::iterator find_user(const QString& user);
	void clear_user_list();
	
	user_lv *user_list;
	QSplitter *horiz, *vert;
	file_transfer_lv *file_transfers;
	QListBox *message_view;
	QLineEdit *chat_edit;

	dc_hub *hubs;
	dctc_hub *cur_hub;
	list<dctc_hub*> active_hubs;
	list<user_lv_item*> displayed_users;
	list<file_list_dialog*> file_list_dlgs;

	QStringList cmd_line;
	
	bool init_users;

	search_list_dialog *search_res_dlg;
};

#endif
