#ifndef _DCTC_CONN_H
#define _DCTC_CONN_H

#include <qobject.h>

class procbuf;
class QSocketNotifier;

class dctc_connection : public QObject
{
	Q_OBJECT
	
public:
	dctc_connection(QObject *parent = 0, const char* name = 0);

	int hubconnect(const QString &hubip, int new_pid = 0);
	void hubdisconnect();

	// these two are public for debugging only!
	void send_command(const QString &command);
	QString message;
	
signals:
	void dctc_data(const QString&);
	
private slots:
	void dataReceived(int);
	void data_to_send(const QString&);

private:
	void get_flags(const char **result, const char *hubip);
	int fork_client(const char *hubip);
	int connect_to_running(const char *hubip, int new_pid = 0);
	bool sleep_on_client(const QString& socket);

	void kill_client();

//    int fd_send[2];
//    int fd_recv[2];

	int dctc_fd;
	QSocketNotifier *read_notifier;
//	QSocketNotifier *write_notifier;
 	
	int pid;
};

#endif
