/****************************************************************************
** $Id: file_lv.h,v 1.1 2002/02/12 03:22:54 c33howard Exp $
**
** Copyright (C) 1992-2000 Trolltech AS.  All rights reserved.
**
** This file is part of an example program for Qt.  This example
** program may be used, distributed and modified without limitation.
**
*****************************************************************************/

// VERY heavily modified from qt example program dirview
// now uses my dc_file and dc_dir as the back end directory arch
//
// Directory s and FileItem s should be used whenever the _possibility_ of
// being displayed in a ListView is there

#ifndef _FILE_LV_H
#define _FILE_LV_H

#include <qlistview.h>
#include <qstring.h>
#include <qtimer.h>
#include "dc_file.h"
#include "util.h"

#include <list>

class QWidget;
class directory_lv_item;

class directory_lv : public QListView
{
	Q_OBJECT
		
public:
	directory_lv(QWidget *parent = 0, const char *name = 0, bool sdo = FALSE);

	virtual void add_file(directory_lv_item* root, const QString &file, const QString &size);
	virtual void clear_files() = 0;

signals:
    void folderSelected( const QString & );

protected slots:
	void slotFolderSelected(QListViewItem *);

protected:
	QString fullPath(QListViewItem* item);
};

class file_dir_lv : public directory_lv
{
    Q_OBJECT

public:
    file_dir_lv( QWidget *parent = 0, const char *name = 0, bool sdo = FALSE );

	virtual void add_file(const QString &file, const QString &size);
	virtual void clear_files();

protected:
	directory_lv_item *root;
};

class search_dir_lv : public directory_lv
{
public:
	search_dir_lv (QWidget *parent = 0, const char *name = 0, bool sdo = FALSE);

	virtual void add_file(const QString &user, const QString &file, const QString &size, 
			const QString &slot);

	virtual void clear_files();

protected:
	directory_lv_item* get_user(const QString &user);
	
	list<directory_lv_item*> users;
};

#endif
