#ifndef _FILE_LV_ITEM_H
#define _FILE_LV_ITEM_H

#include <qstring.h>
#include <qlistview.h>

#include "dc_file.h"

class file_lv_item;

class directory_lv_item : public QListViewItem, public dc_dir
{
public:
	directory_lv_item( QListView * parent, const QString& filename );
    directory_lv_item( directory_lv_item * parent, const QString& filename );

    QString text( int column ) const;

    QString full_name() const;

    void setOpen( bool );
    void setup();

    const QPixmap *pixmap( int i ) const;
    void setPixmap( QPixmap *p );

#ifdef _QT_3
	int compare(QListViewItem*, int, bool) const;
#endif

private:
    QPixmap *pix;
};

class file_lv_item : public QListViewItem, public dc_file 
{
public:
    file_lv_item( directory_lv_item *parent, const QString &s1, const QString &s2 );

    const QPixmap *pixmap( int i ) const;
    void setPixmap( QPixmap *p );

#ifdef _QT_3
	int compare(QListViewItem*, int, bool) const;
#endif

private:
    QPixmap *pix;
};

#endif
