#ifndef _FILE_TRANSFER_H
#define _FILE_TRANSFER_H

#include <qstring.h>
#include <time.h>
#include <sys/types.h>

class file_transfer
{
public:
	file_transfer (int id, const QString &u, const QString &f, const QString& s);

	float percent_done() const { return (double(bytes_transferred * 100) / total_size); }
	float transfer_speed() const { return double(bps()) / 1024.0; }
	float estimated_time() const { return (total_size - bytes_transferred) / bps(); }

	bool transfer_done() { return done; }

	void update_amt_transferred();

	const int transfer_id() const { return id; }
	const QString& transfer_user() const { return user; }
	const QString& transfer_file() const { return file; }

	bool operator==(const file_transfer& o) const
	{
		return user == o.user && file == o.file;
	}
	
private:
	float bps() const;
	off_t get_bytes();
	
	QString user;
	QString file;
	QString local_path;
	off_t total_size;
	off_t bytes_transferred;
	off_t orig_size;
	time_t time_started;
	bool done;
	int id;
};

#endif
