#ifndef _FILE_TRANSFER_LV_H
#define _FILE_TRANSFER_LV_H

#include <qlistview.h>
#include "file_transfer_lv_item.h"

#include <list>

class QTimer;
class QPopupMenu;

class file_transfer_lv : public QListView
{
	Q_OBJECT

public:
	file_transfer_lv(QWidget *parent = 0, const char *name = 0);

signals:
	void transfer_done(int id, const QString &u, const QString &f);
	void cancel_transfer(int id);
	void get_flist(const QString &);
	
public slots:
	void add_transfer(int id, const QString &u, const QString &f, const QString &s);
	void remove_transfer(const QString &u, const QString &f);
	void remove_transfer(int id);
	void update_all();
	void menu_clicked(int);
	void show_menu(QListViewItem*, const QPoint&, int);
	
private:
	list<file_transfer_lv_item*> transfers;
	QTimer *timer;
	file_transfer_lv_item* last_clicked;
	QPopupMenu* menu;
};

#endif
