/* This file is part of dc_qt.

    dc_qt is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    dc_qt is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with dc_qt; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <qapplication.h>
#include <qfont.h>
#include "dc_qt.h"
#include "dc_settings.h"

// the settings object
dc_settings settings;

int main(int argc, char **argv)
{
	QApplication app(argc, argv);
	dc_main_window *dc_qt = new dc_main_window(argc, argv);
	
	dc_qt->setCaption("Direct Connect");
	dc_qt->show();

	// check for existance of $HOME/.dc_qt
	if (system("[ -x " + settings.get_home_dir() + "/.dc_qt ]") != 0)
		system("mkdir " + settings.get_home_dir() + "/.dc_qt");

	QFont f("Arial", 12, QFont::Normal);
	app.setFont(f, true);

	app.connect(dc_qt, SIGNAL(quit()), &app, SLOT(quit()));
	app.connect(&app, SIGNAL(lastWindowClosed()), &app, SLOT(quit()));
	
	return app.exec();
}
