#include "search_dlg.h"

#include <qcombobox.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>

enum
{
	ANY = 0,
	AUDIO,
	COMPRESSED,
	DOCUMENT,
	EXE,
	PICTURE,
	VIDEO,
	FOLDER
};

search_dlg::search_dlg(QWidget *parent, const char *name)
	: QDialog(parent, name, true)
{
	search_str = new QLineEdit(this, "search_str");
	
	search_type = new QComboBox(this, "search_type");
	search_type->insertItem("Any", ANY);
	search_type->insertItem("Audio", AUDIO);
	search_type->insertItem("Compressed", COMPRESSED);
	search_type->insertItem("Document", DOCUMENT);
	search_type->insertItem("Executable", EXE);
	search_type->insertItem("Picture", PICTURE);
	search_type->insertItem("Video", VIDEO);
	search_type->insertItem("Folder", FOLDER);
	search_type->setCurrentItem(ANY);

	ok = new QPushButton(this);
	ok->setText("OK");
	
	cancel = new QPushButton(this);
	cancel->setText("Cancel");

	layout = new QGridLayout(this, 2, 2);
	layout->addWidget(search_str, 0, 0);
	layout->addWidget(search_type, 0, 1);
	layout->addWidget(ok, 1, 0);
	layout->addWidget(cancel, 1, 1);
	
	connect(ok, SIGNAL(clicked()), SLOT(accept()));
	connect(cancel, SIGNAL(clicked()), SLOT(reject()));
}

QString search_dlg::get_search_pattern() const
{
	return search_str->text();
}

int search_dlg::get_search_type() const
{
	// combo box has to start at index 0, but type starts at 1
	return search_type->currentItem() + 1;
}
