

#include "user_lv.h"
/* This file is part of dc_qt.

    dc_qt is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    dc_qt is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with dc_qt; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <qpopupmenu.h>

const int CONNECTION = 0;
const int NAME = 1;
const int SHARED = 2;
const int DESCRIPTION = 3;

const int GET_FILE_LIST = 0;

user_lv::user_lv(QWidget *parent, const char *name)
	: QListView(parent, name)
{
	menu = new QPopupMenu(this, "user_lv_menu");
	menu->insertItem("Get File List", GET_FILE_LIST);

	connect(this, SIGNAL(rightButtonClicked(QListViewItem *, const QPoint &, int)), 
			SLOT(show_menu(QListViewItem *, const QPoint &, int)));

	connect(menu, SIGNAL(activated(int)), SLOT(menu_clicked(int)));

	last_clicked = 0;
}

void user_lv::show_menu(QListViewItem *i, const QPoint &p, int)
{
	menu->popup(p);
	last_clicked = i;
}

void user_lv::hide_menu()
{
	menu->hide();
}

void user_lv::menu_clicked(int i)
{
	if (i == GET_FILE_LIST && last_clicked)
		emit get_user_list(last_clicked->text(NAME));
}

void user_lv::setup_columns()
{
	addColumn("Con");
	addColumn("Name");
	addColumn("Shared");
	addColumn("Description");
}
