#ifndef USER_LV_ITEM_H
#define USER_LV_ITEM_H

#include <qlistview.h>
#include <qstring.h>
#include <string>

#include "dc_user.h"

class QPopupMenu;

class user_lv_item : public QListViewItem
{
public:
	user_lv_item(QListView *parent, const QString &n);

	void connection(const QString &s);
	void shared(const QString &s);
	void description(const QString &s);

#ifdef _QT_3
	int compare(QListViewItem *i, int col, bool ascending) const;
#else
	QString key(int column, bool ascending) const;
#endif

	bool operator==(const QString &o);

	static QString get_shared_string(const QString &s);
	static double get_shared_bytes(const QString &s);

private:
	double shared_bytes;
};

bool operator==(user_lv_item *i, const QString &o);
bool operator!=(user_lv_item *i, const QString &o);

#endif
