#ifndef _UTIL_H
#define _UTIL_H

#include <qstring.h>

enum
{
	CONNECT_SUCCESS,
	COULD_NOT_CREATE_SOCKET,
	SLEEP_TIMED_OUT,
	COULD_NOT_CONNECT_TO_SOCKET
};

#ifdef _VERBOSE
extern void log(const QString &str);
extern void log(int i, const QString &name = QString::null);
extern void log(long l, const QString &name = QString::null);
extern void log(double d, const QString &name = QString::null);
extern void log(void * v, const QString &name = QString::null);
#else
#define log(x) ((void)0)
#endif

#ifdef _EXTRA_VERBOSE
#define vlog(x) (log(x))
#else
#define vlog(x) ((void)0)
#endif

extern void errlog(const QString &str);

extern QString bytes_to_units(const QString &s);
extern QString bytes_to_units(double sb);
extern double units_to_bytes(const QString &s);
extern QString sec_to_time(float seconds);

#endif
